OpenNMS API 1.2.9

## org.opennms.web.eventconf.bobject
Class Global

    java.lang.Object
      org.opennms.web.eventconf.bobject.Global

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Replaced by a Castor-generated implementation.

public class Global
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing snmp event configuration information as parsed from the eventconf.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  `Global`

Field Summary
`private java.util.List` `m_securityList` Deprecated.

Constructor Summary
`Global()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`void` `addSecurity(java.lang.String security)` Deprecated.
`java.lang.Object` `clone()` Deprecated.
`java.util.List` `getSecurities()` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_securityList

    private java.util.List m_securityList

  Deprecated.

Constructor Detail

### Global

    public Global()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### addSecurity

    public void addSecurity(java.lang.String security)

  Deprecated.

### getSecurities

    public java.util.List getSecurities()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.